//  correzione dell'errore nel file ereditatietaerrore.cpp
#include <iostream>
#include <cstdlib>

using namespace std;

class ogg_geom {
public:
   ogg_geom(float x, float y) {xC=yC=y;}
protected: // è stato cambiato il modificatore di accesso
   float xC, yC;
};
const float PI = 3.14159265;
class cerchio : public ogg_geom {
public:
   cerchio(float coordx_centro, float coordy_centro, float radius) : ogg_geom (coordx_centro, coordy_centro) // 
   { raggio = radius; }
   float area() const {return PI * raggio * raggio; }
   void stampacentro() const // la parola chiave const indica che la funzione non modifica gli oggetti di classe cerchio
   // attenzione! Per una buona progettazione, questa funzione andava inclusa nella classe base!
   { cout << xC << " " << yC << endl; }

private:
   float raggio;
};


int main()
{
  cerchio circle1(0,0,2);
  circle1.stampacentro();
  cout<<"AREA=" << circle1.area() <<endl;
  system("PAUSE");
    return EXIT_SUCCESS; 
}
